Installation error

More
03 Apr 2023 22:16 #268205 by Stef
Installation error was created by Stef
Hi,

I am trying to install QtPyVCP on a RPi 4 Model B 4 GB.
All the software dependencies are installed, and the explanation on the "Standard Install" page states this command:
python3 -m pip install qtpyvcp

Unfortunately this results in an "externally-managed-environment" error, see attached screenshot.
Does anyone perhaps know how to solve this?
Attachments:

Please Log in or Create an account to join the conversation.

More
05 Apr 2023 14:08 #268337 by Lcvette
Replied by Lcvette on topic Installation error
im not well versed on the rpi4 installation but i believe there are some issues, perhaps someone more current with it may be of better assistance, however.

you can try the dev installation noted above as it handles the new venve issue requirement.  or you can try the .deb installation which does not require a venv for installation.

forum.linuxcnc.org/qtpyvcp/48373-qtpyvcp...llation-files-inside

forum.linuxcnc.org/qtpyvcp/48422-py3-dev...be-basic-and-qtpyvcp

Please Log in or Create an account to join the conversation.

Moderators: KCJLcvette
Time to create page: 0.070 seconds
Powered by Kunena Forum